petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGetSetUpFailedReason

Gets the reason a PCSetUp() failed or 0 if it did not fail

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetSetUpFailedReason(PC pc,PCFailedReason *reason)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

reason -the reason it failed, currently only -1

### Keywords

PC, setup

### See Also

PCCreate(), PCApply(), PCDestroy()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages